pysisyphus.line\_searches package
=================================

Submodules
----------

pysisyphus.line\_searches.Backtracking module
---------------------------------------------

.. automodule:: pysisyphus.line_searches.Backtracking
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.line\_searches.HagerZhang module
-------------------------------------------

.. automodule:: pysisyphus.line_searches.HagerZhang
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.line\_searches.LineSearch module
-------------------------------------------

.. automodule:: pysisyphus.line_searches.LineSearch
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.line\_searches.StrongWolfe module
--------------------------------------------

.. automodule:: pysisyphus.line_searches.StrongWolfe
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.line\_searches.interpol module
-----------------------------------------

.. automodule:: pysisyphus.line_searches.interpol
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: pysisyphus.line_searches
   :members:
   :undoc-members:
   :show-inheritance:
